package jcg.zheng.demo;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class IsDigitTest {

	@Test
	public void isDigit_codePointTest() {
		int sixCodePoint = 54;
		assertTrue(Character.isDigit(sixCodePoint));
		assertEquals(6, Character.getNumericValue(sixCodePoint));

		int letterACodePoint = 65;
		assertFalse(Character.isDigit(letterACodePoint));
		assertEquals('A', (char)letterACodePoint);

	}

	@Test
	public void isDigit_charTest() {
		assertTrue(Character.isDigit('1'));
		assertFalse(Character.isDigit('B'));
	}

}
